CVE-2016-9637

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

The (1) ioport_read and (2) ioport_write functions in Xen, when qemu is used as a device model within Xen, might allow local x86 HVM guest OS administrators to gain qemu process privileges via vectors involving an out-of-range ioport access.

References

http://rhn.redhat.com/errata/RHSA-2016-2963.html

http://www.securityfocus.com/bid/94699

http://www.securitytracker.com/id/1037397

http://xenbits.xen.org/xsa/advisory-199.html

https://lists.debian.org/debian-lts-announce/2018/02/msg00005.html

https://security.gentoo.org/glsa/201612-56

https://support.citrix.com/article/CTX219136

Details

Source: MITRE

Published: 2017-02-17

Updated: 2018-02-08

Type: CWE-264

Risk Information

CVSS v2

Base Score: 3.7

Vector: AV:L/AC:H/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 1.9

Severity: LOW

CVSS v3

Base Score: 7.5

Vector: CVSS:3.0/AV:L/AC:H/PR:H/UI:N/S:C/C:H/I:H/A:H

Impact Score: 6

Exploitability Score: 0.8

Severity: HIGH

Tenable Plugins

View all (20 total)

IDNameProductFamilySeverity
106633Debian DLA-1270-1 : xen security updateNessusDebian Local Security Checks
critical
96253openSUSE Security Update : xen (openSUSE-2017-5)NessusSuSE Local Security Checks
high
96252openSUSE Security Update : xen (openSUSE-2017-4)NessusSuSE Local Security Checks
high
96231GLSA-201612-56 : Xen: Multiple vulnerabilitiesNessusGentoo Local Security Checks
high
96150SUSE SLES11 Security Update : xen (SUSE-SU-2016:3273-1)NessusSuSE Local Security Checks
high
96113Fedora 24 : xen (2016-bcbae0781f)NessusFedora Local Security Checks
high
95985Scientific Linux Security Update : xen on SL5.x i386/x86_64 (20161220)NessusScientific Linux Local Security Checks
high
95982RHEL 5 : xen (RHSA-2016:2963)NessusRed Hat Local Security Checks
high
95979Oracle Linux 5 : xen (ELSA-2016-2963)NessusOracle Linux Local Security Checks
high
95953CentOS 5 : xen (CESA-2016:2963)NessusCentOS Local Security Checks
high
96032SUSE SLES11 Security Update : xen (SUSE-SU-2016:3174-1)NessusSuSE Local Security Checks
high
96025Fedora 23 : xen (2016-cc2916dcf4)NessusFedora Local Security Checks
high
95910openSUSE Security Update : xen (openSUSE-2016-1477)NessusSuSE Local Security Checks
high
95822SUSE SLES12 Security Update : xen (SUSE-SU-2016:3156-1)NessusSuSE Local Security Checks
high
95761SUSE SLED12 / SLES12 Security Update : xen (SUSE-SU-2016:3083-1)NessusSuSE Local Security Checks
high
95709SUSE SLED12 / SLES12 Security Update : xen (SUSE-SU-2016:3067-1)NessusSuSE Local Security Checks
high
95659Citrix XenServer QEMU ioport Array Overflow Guest-to-Host Privilege Escalation (CTX219136)NessusMisc.
high
95624SUSE SLES11 Security Update : xen (SUSE-SU-2016:3044-1)NessusSuSE Local Security Checks
high
95619OracleVM 3.2 : xen (OVMSA-2016-0172)NessusOracleVM Local Security Checks
high
95618OracleVM 3.3 : xen (OVMSA-2016-0171)NessusOracleVM Local Security Checks
high